=== debian/changelog ===
slang2 (2.2.2-4) unstable; urgency=low

  * Patch from slang2 upstream for slagetput problem not completely
    fixed in 2.2.2 release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Mar 2010 18:35:55 +0000

slang2 (2.2.2-3) unstable; urgency=low

  * FTBFS: Need to depend on libncurses-dev for -ltermcap. Closes: #574298. 
  * Standards-Version: 3.8.4. No changes required.
  *  Add ${misc:Depends} for debhelper, thanks to lintian.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Mar 2010 19:00:17 +0000

slang2 (2.2.2-2) unstable; urgency=low

  * Patch thanks to Cyril Brulebois to fix broken .so symlink.
    Closes: #560239, #560068. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Dec 2009 06:05:36 +0000

slang2 (2.2.2-1) unstable; urgency=low

  * New upstream release. 
  * Move to source format 3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Dec 2009 10:29:11 +0000

slang2 (2.2.1-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2009 15:02:59 +0100

slang2 (2.2.1~14-1) unstable; urgency=low

  * New upstream release. Closes: #542882.
  * Move to Standards-Version: 3.8.3, debhelper 7.
  * Support DEB_BUILD_OPTION 'noopt'. Closes: #539333.
  * Add dependencies on zlib1g-dev, libonig-dev for modules 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 Sep 2009 12:23:54 +0100

slang2 (2.1.4-3) unstable; urgency=low

  * Add libslang-modules package for slsh modules used by third-party
    applications. Closes: #524825, #524849. 
  * Remove -lm -ldl from slsh link line (uses no symbols from these).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Apr 2009 13:17:53 +0100

slang2 (2.1.4-2) unstable; urgency=low

  * Add slang.pc pkgconfig file.
  * Add nointerlibc patch from fedora to avoid using private glibc symbols.
  * Longer short description for slsh. Closes: #493508.
  * Move /usr/lib/slang/v2/modules/*.so to libslang, from slsh. Closes: #522282.
  * Moved to Standards-Version: 3.8.1; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Apr 2009 22:41:55 +0100

slang2 (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * FTBFS with glibc-2.8. Closes: #491798.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Mar 2009 11:33:54 +0000

slang2 (2.1.3-3) unstable; urgency=low

  * Move to Standards;Version: 3.7.3. 
  * Replace ${Source-Version} with ${binary:Version} in debian/control.
  * debian/compat (5) replaces DH_COMPAT=4 in rules.
  * libslang2-dev is now in the libdevel section, not devel.
  * Fix broken entry in changelog by acknowledging NMU in next entry.
  * set SLSH_LOCALLIB_DIR="", as we don't ship a local-packages dir in 
     Debian (breaks FSSTND).

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Mar 2008 17:49:49 +0000

slang2 (2.1.3-2) unstable; urgency=low

  * Ensure libslang.a is included in libslang2-dev. Closes: #453171. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Nov 2007 20:13:04 +0000

slang2 (2.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Nov 2007 11:29:26 +0000

slang2 (2.0.7-5) unstable; urgency=low

  * Install map file in the pic package. Closes: #316525.
    Thanks to Joey Hess for the patch. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Sep 2007 09:59:01 +0100

slang2 (2.0.7-4) unstable; urgency=low

  * Change libpng12 to libpng12-0. Thought libpng12 was a virtual 
    package. Closes: #436932.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Sep 2007 00:40:22 +0100

slang2 (2.0.7-3) unstable; urgency=low

  * Change dependencies to libslang Build-Depend on libpng12, libslang2-dev on
    libpng-dev. Must have been asleep, I guess. Closes: #434155.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Jul 2007 16:45:53 +0100

slang2 (2.0.7-2) unstable; urgency=low

  * Bump the ABI micro version in shlibs, as new symbols were added.
    Closes: #427636.
  * Build-Depend: on libpng12-dev, for png-module.so plugin.
    Also add a Recommends: libpng for this purpose. Closes: #423571.
  * Move to Standards-Version: 3.7.2. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jun 2007 15:47:27 +0100

slang2 (2.0.7-1) unstable; urgency=low

  * New upstream release. Closes: #421587.
  * Make list in description render nicely in aptitude.  Closes: #388858.
  * Backout 080_wide_chars.patch ; improved fix in 2.0.7. Closes: #399355.
  * Typo prevented slsh cmaps files from being installed. Closes: #421661.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  1 May 2007 09:43:45 +0100

slang2 (2.0.6-4) unstable; urgency=high

  * Fix regression in slutf8.c due to removing 080_wide_chars.patch
    that broke double-width chars. Fixed bugs in patch instead.
    Closes: #392987, #392942.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Oct 2006 17:31:55 +0100

slang2 (2.0.6-3) unstable; urgency=low

  * Remove 080_wide_chars.patch which breaks jed. Closes: #369152.
  * Change the shlib deps. to 2.0.6-3 because of such behaviour changes.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Aug 2006 08:55:31 +0100

slang2 (2.0.6-2) unstable; urgency=low

  * Change libslang2 section to 'libs' from 'base'. I still intend to push
    slang2 into base for etch, but for the moment go with the override.
  * Add libslang2-udeb to shlibs for d-i. Thanks to Franz Pop for the patch.
    Closes: #355963.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2006 08:01:55 +0000

slang2 (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Change slang_install_prefix to /usr. Closes: #353282.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  5 Mar 2006 20:19:05 +0000

slang2 (2.0.5-1) unstable; urgency=low

  * New upstream release.
    - Removed patch 030_versioned_symbols.patch: now in upstream.
    - Removed patch 060_slcurses_winch.patch; now in upstream.

