=== debian/control ===
Source: slang2
Section: devel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Jim Mintha <jmintha@debian.org>
Build-Depends: debhelper (>= 7), dbs, docbook-to-man, libpcre3-dev, libpng12-dev, zlib1g-dev, libonig-dev, libncurses-dev
Standards-Version: 3.8.4

Package: libslang2-dev
Section: libdevel
Architecture: any
Depends: libslang2 (= ${binary:Version}), libc6-dev | libc-dev, libpng-dev, ${misc:Depends}
Conflicts: slang1-utf8-dev, slang-dev6, slang0.99.34-dev (<< 0.99.38-2.3)
Description: The S-Lang programming library, development version
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 The S-Lang library includes the following:
  * Low level tty input routines for reading single characters at a time.
  * Keymap routines for defining keys and manipulating multiple keymaps.
  * A high-level key processing interface (SLkp) for
    handling function and arrow keys.
  * High level screen management routines for manipulating both
    monochrome and color terminals. These routines are very
    efficient. (SLsmg)
  * Low level terminal-independent routines for manipulating the display
    of a terminal. (SLtt)
  * Routines for reading single line input with line editing and recall
    capabilities. (SLrline)
  * Searching functions: both ordinary searches and regular expression
    searches. (SLsearch)
  * An embedded stack-based language interpreter with a C-like syntax.

Package: libslang2
Section: libs
Priority: required
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libpng12-0
Description: The S-Lang programming library - runtime version
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains only the shared library libslang.so.* and copyright
 information. It is only necessary for programs that use this library (such
 as jed and slrn). If you plan on doing development with S-Lang, you will
 need the companion -dev package as well.

Package: libslang2-pic
Priority: optional
Section: libdevel
Architecture: any
Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
Description: The S-Lang programming library, shared library subset kit
 This is used to develop subsets of the S-Lang shared libraries for use
 on custom installation floppies and in embedded systems. Unless you're
 making one of those, you won't need this package.

Package: libslang2-udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: libc-udeb
Description: S-Lang library for Debian Installer
 This is a udeb, or a microdeb, of the S-Lang library with wide charater
 support. As such it is the installer counterpart of libslang2.
 You only need this package to support applications needing S-Lang during
 the Debian installation process time and probably don't need to select it.
XC-Package-Type: udeb

Package: slsh
Section: interpreters
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libslang2-modules (= ${binary:Version}) , ${misc:Depends}
Description: Interpreter for S-Lang language
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains a stand-alone interpreter for scripts written
 in the S-Lang language.

Package: libslang2-modules
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts:  slsh (<< 2.1.4-2), libslang2 (= 2.1.4-2)
Description: Shared modules for S-Lang language
 This package contains dynamically-loaded modules for S-Lang applications.
