=== debian/watch ===
version=3
ftp://space.mit.edu/pub/davis/slang/v2.0/slang-(.*).tar.gz
