## slang2 2.2.4

=== debian/changelog ===
slang2 (2.2.4-3ubuntu1) precise; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Oct 2011 17:39:46 +0200

slang2 (2.2.4-3) unstable; urgency=low

  * Patch from Riko Voipio for Mulit-arch support. Closes: #638904.
  * Standards-Version: 3.9.2. No other changes needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2011 11:10:29 +0100

slang2 (2.2.4-2) unstable; urgency=low

  * Call make static to build library directly in rules, rather than
    accidentally rely on it being called by 'make test'. Closes: #623933.
  * 0i

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Aug 2011 21:10:26 +0100

slang2 (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2011 09:57:10 +0100

slang2 (2.2.3-3) unstable; urgency=low

  * patch  for FTBFS on hurd-i386.
  * Include missing files for slsh. Closes: #621495.
  * Remove "The" from Descriptions: in debian/control..

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 22:55:40 +0100

slang2 (2.2.3-2) unstable; urgency=low

  * Add chrpath to Build-Depends. Closes: #620997. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 19:58:59 +0100

slang2 (2.2.3-1) unstable; urgency=low

  * New upstream release.  
    Removed obsolete patches: 
       termcap_emulation.patch
       nointerlibc.patch
       slagetput.patch
  * Standards-Version: 3.9.1
  * Moved from DBS to debhlper 7 + quilt build style.  
    Closes: #576047, #571283, #615910.
  * Patches moved to quilt format, DEPS-3 headers added.
  * Patch for automatic dependencies for udeb. Closes: #564486.
  * Fix unclear copyright file. Closes: #615909.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Apr 2011 18:58:20 +0100
