=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Jim Mintha <jmintha@debian.org>
-Build-Depends: debhelper (>= 7), dbs, docbook-to-man, libpcre3-dev, libpng12-dev, zlib1g-dev, libonig-dev, libncurses-dev
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 8.1.3), docbook-to-man, libpcre3-dev, libpng12-dev, zlib1g-dev, libncurses-dev, chrpath
+Standards-Version: 3.9.2
 
 Package: libslang2-dev
 Section: libdevel
 Architecture: any
 Depends: libslang2 (= ${binary:Version}), libc6-dev | libc-dev, libpng-dev, ${misc:Depends}
+Multi-Arch: same
 Conflicts: slang1-utf8-dev, slang-dev6, slang0.99.34-dev (<< 0.99.38-2.3)
-Description: The S-Lang programming library, development version
+Description: S-Lang programming library, development version
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.
  .
@@ -36,8 +37,10 @@
 Priority: required
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Recommends: libpng12-0
-Description: The S-Lang programming library - runtime version
+Description: S-Lang programming library - runtime version
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.
  .
@@ -52,7 +55,7 @@
 Architecture: any
 Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
 Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
-Description: The S-Lang programming library, shared library subset kit
+Description: S-Lang programming library, shared library subset kit
  This is used to develop subsets of the S-Lang shared libraries for use
  on custom installation floppies and in embedded systems. Unless you're
  making one of those, you won't need this package.
@@ -61,7 +64,7 @@
 Section: debian-installer
 Priority: extra
 Architecture: any
-Depends: libc-udeb
+Depends: ${shlibs:Depends}
 Description: S-Lang library for Debian Installer
  This is a udeb, or a microdeb, of the S-Lang library with wide charater
  support. As such it is the installer counterpart of libslang2.
@@ -74,6 +77,7 @@
 Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, libslang2-modules (= ${binary:Version}) , ${misc:Depends}
+Multi-Arch: foreign
 Description: Interpreter for S-Lang language
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.
