=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

# Magic debhelper rule
%:
	dh $@

CFLAGS := -g -fno-strength-reduce -D_REENTRANT -D_XOPEN_SOURCE=500 
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C src static
	ar cqv libslang_pic.a src/elfobjs/*.o
	INSTANT_OPT=" " docbook-to-man debian/slsh.sgml > slsh.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f slsh.1 libslang_pic.a src/test/sltest

override_dh_auto_install:
	dh_auto_install
	cp src/slang.ver debian/libslang2-pic/usr/lib/libslang_pic.map
	mkdir -p debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	cp -a src/objs/libslang.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslang.so.* debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	ln -sf /lib/$(DEB_HOST_MULTIARCH)/libslang.so.2 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslang.so
	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slang/v2/modules/*.so
	chrpath -d debian/tmp/usr/bin/slsh

override_dh_installchangelogs:
	dh_installchangelogs -a changes.txt
	
override_dh_makeshlibs:
	dh_makeshlibs -a -V  "libslang2 (>= 2.0.7-1)" --add-udeb="libslang2-udeb"

override_dh_compress:
	dh_compress -a -X.sl -Xslangfun.txt
