=== debian/changelog ===
slang2 (2.3.0-2ubuntu1.1) xenial; urgency=medium

  * d/p/init-crash.patch: Fix crash on multiple initialisation when TERMCAP
    set (LP: #1537528)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 28 Jun 2018 11:06:04 +0200

slang2 (2.3.0-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2014 10:04:43 +0100

slang2 (2.3.0-2) unstable; urgency=medium

  * Patch from John Davis to fix segfault in slang/jed.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Oct 2014 09:21:28 +0100

slang2 (2.3.0-1) unstable; urgency=medium

  * New upstream release.
   - Merged hurd-wcontinued.patch
   - Patch for new-glibc needed for sockets, to uncover strtoll(), atoll() 
  * Now incorporates and obsoletes slang-histogram.
  * Remove obsolete Conflicts/Breaks statements from debian/control.
  * Now at Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Sep 2014 10:24:11 +0100

slang2 (2.2.4-17ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Jul 2014 14:27:47 +0200

slang2 (2.2.4-17) unstable; urgency=medium

  * Rebuild with unicode update for 7.0. Now  Build-Depend and use
    packaged unicode-data, so new updates can just binNMU.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Jun 2014 12:50:14 +0100

slang2 (2.2.4-16ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Apr 2014 11:44:40 +0200

slang2 (2.2.4-16) unstable; urgency=medium

  * Standards-Version: 3.9.5
  * Fix typos. Thanks to Jakub Wilk. Closes: #731126.
  * Typo in DPKG_EXPORT_BUILDFLAGS. Closes: #680998.
  * Fix FTBFS when DSO linking, thanks to Eleanor Chen. Closes: #719902.
  * Fix typo in Description; thanks Lintian.
  * Change Priority for libslang2 from required to important to match overrides.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Dec 2013 21:00:18 +0000

slang2 (2.2.4-15ubuntu1) quantal; urgency=low

  * Merge with Debian unstable (lp: #1028451). Remaining Ubuntu changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Aug 2012 16:35:11 +0200

slang2 (2.2.4-15) unstable; urgency=low

  * Disable the die-on-testfailure patch: the failures are not regressions.
    Ship slang2 as-was for wheezy, rather than go look for trouble.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jun 2012 12:25:16 +0100

slang2 (2.2.4-14) unstable; urgency=low

  * Add "-O0" to build options to avoid tickling a bug somewhere in libslang;
    probably with uninitized memory. Closes: #675125.
  * Add patch to ensure test failures cause automated testing to fail on 
    Debian and catch this sort of thing. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jun 2012 03:30:24 +0100

slang2 (2.2.4-13) unstable; urgency=low

  * Re-insert CFLAGS that may not be obsolete ... 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jun 2012 15:10:50 +0100

slang2 (2.2.4-12) unstable; urgency=low

  * Don't ship pre-built config.h in examples directory : it makes the -dev
    package arch-dependent. Closes: #674495. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 May 2012 14:56:26 +0100

slang2 (2.2.4-11) unstable; urgency=low

  [ Dmitry Smirnov ]
  * added VCS links
  * dropped obsolete CFLAGS
  * debian/control: Conflicts replaced with Breaks (lintianisation)
  * Debian source package compression to '.xz'

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 May 2012 10:09:16 +0100

slang2 (2.2.4-10) unstable; urgency=low

  [ Dmitry Smirnov ]
  * debhelper & compat to version 9
    use default hardening (Closes: #656128).
  * debian/watch is fixed and improved.
  * removed:
    - unused lintian-overrides.
    - postinst and postrm scripts (obsolete).
    - shlibs.local (obsolete).
    - obsolete .dirs files.
    - install_prefix.patch (unused).
    - debian/README file with upload instructions.
  * no longer install upstream UPGRADE.txt file with instructions
    how to upgrade from slang v1.
  * no longer install upstream README files with hints about
    location of documentation files in upstream source tree.
  * added doc-base registration for slsh html documentation.
  * added libslang2.symbols file.
  * added debian/clean file to remove auto-generated files.
  * use autoconf to re-generate configure script.
  * docs and examples separated from debhelper .install files
  * debian/copyright:
    + converted to copyright-format 1.0
    + updated debian contributors copyrights
    + corrected upstream license
  * debian/control:
    + added Homepage field to debian/control.
    + dropped conflict with obsolete slang0.99.34-dev
    + adding myself as Uploader.
    + minor lintianisation:
      * libslang2-modules long description is updated.
      * XC-Package-Type --> Package-Type.
      * dropped redundant "Priority: optional"
  * install compressed slangfun.txt doc file.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Apr 2012 11:17:13 +0100

slang2 (2.2.4-9) unstable; urgency=low

  * Fix wrong parens in control file. Closes: #669514. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Apr 2012 21:06:29 +0100

slang2 (2.2.4-8) unstable; urgency=low

  * Fix broken multiarch in libslang2-modules 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Apr 2012 14:27:55 +0100

slang2 (2.2.4-7) unstable; urgency=low

  * Build against libpng-dev for png15 transition. Closes: #662504.
  * Standards-Version: 3.9.3. No changes required.
  * Remove accidental debian-changes patches in debian/patches 


