=== debian/watch ===
version=3

# latest
ftp://space.mit.edu/pub/davis/slang/latest/slang-([\d.]+)\.tar\.(?:bz2|gz)

# current v2.2.*
ftp://space.mit.edu/pub/davis/slang/v2.2/slang-([\d.]+)\.tar\.(?:bz2|gz)

# OLD
#ftp://space.mit.edu/pub/davis/slang/v2.2/OLD/slang-([\d.]+)\.tar\.(?:bz2|gz)
