## slang2 2.3.1

=== debian/changelog ===
slang2 (2.3.1-5) unstable; urgency=medium

  * Updated fix from upstream for big-endian 64-bit systems. Closes: #843421.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Nov 2016 11:48:53 +0000

slang2 (2.3.1-4) unstable; urgency=medium

  * Fix for test crash, from upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Nov 2016 13:27:27 +0000

slang2 (2.3.1-3) unstable; urgency=medium

  * Build -fsigned-char to fix test failures

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Nov 2016 16:50:53 +0000

slang2 (2.3.1-2) unstable; urgency=medium

  * Build --no-parallel, as seems to fail on multiple cores.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Nov 2016 21:58:59 +0000

slang2 (2.3.1-1) unstable; urgency=medium

  * New upstream release
   - typos patch merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Oct 2016 09:23:52 +0000

slang2 (2.3.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh_auto_install with --no-parallel. Upstream's 'install' Makefile
    rule does not appear to be reliable in a parallel build: the
    install-elf-and-links target can run in parallel with the elf
    target. (Closes: #838971)

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Sep 2016 12:57:48 +0100

slang2 (2.3.0-4) unstable; urgency=medium

  * Fix for crash from Samuel; Thibault. Closes: #837868
  * DH_COMPAT=10 with dependency change.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Sep 2016 11:29:19 +0100

slang2 (2.3.0-3) unstable; urgency=medium

  * Standards-Version is now 3.9.8. No changes required.
  * Patch from Reiner Herrmann to make build reproducible. Closes: #828762.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2016 12:10:10 +0100

slang2 (2.3.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Try again to remove libpng16-16 dependency, thanks Guillem
    for pointing me to my fault (Closes: #820338).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Apr 2016 23:04:04 +0200

slang2 (2.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Include changes for the never uploaded but on git
    changes in 2.2.4-16 (from Dmitry)
  [ Dmitry Smirnov ]
  * better debian/clean
  * lintian-overrides for false-positive 'hardening-no-fortify-functions'
  * simplify passing extra CFLAGS
  [ Guillem Jover ]
  * Remove recommends of libpng16-16, because shlibs:Depends should
    already pick it up (Closes: #820338)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Apr 2016 21:57:56 +0200

slang2 (2.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Recommends libpng16-16 instead of libpng12-0 (Closes: #820338)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 16:33:28 +0200
