=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 9), autoconf, autotools-dev,
+Build-Depends: debhelper (>= 10), autoconf, autotools-dev,
  unicode-data,
  chrpath,
  docbook-to-man,
  dpkg-dev (>= 1.16.1~),
  libncurses-dev,
+ libonig-dev,
  libpcre3-dev,
  libpng-dev,
  zlib1g-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.jedsoft.org/slang/
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/slang2.git
 VCS-Git: git://anonscm.debian.org/collab-maint/slang2.git
@@ -52,7 +52,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Built-Using: ${Built-Using}
-Recommends: libpng12-0
 Description: S-Lang programming library - runtime version
  S-Lang is a C programmer's library that includes routines for the rapid
  development of sophisticated, user friendly, multi-platform applications.
